Magick++ 6.9.6

Public Member Functions | List of all members
Magick::PathLinetoVerticalAbs Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::PathLinetoVerticalAbs:
[legend]
Collaboration diagram for Magick::PathLinetoVerticalAbs:
[legend]

## Public Member Functions
| PathLinetoVerticalAbs (double y_)
| ~PathLinetoVerticalAbs (void)
void | operator() (MagickCore::DrawingWand *context_) const
VPathBase * | copy () const
void | y (double y_)
double | y (void) const
Public Member Functions inherited from Magick::VPathBase
| VPathBase (void)
virtual | ~VPathBase (void)

## Detailed Description

Definition at line 2932 of file Drawable.h.

## Constructor & Destructor Documentation

Magick::PathLinetoVerticalAbs::PathLinetoVerticalAbs | ( | double | y_ | ) |
| inline

Definition at line 2935 of file Drawable.h.

Magick::PathLinetoVerticalAbs::~PathLinetoVerticalAbs | ( | void |  | ) |

Definition at line 2218 of file Drawable.cpp.

## Member Function Documentation

Magick::VPathBase * Magick::PathLinetoVerticalAbs::copy | ( |  | ) | const
| virtual

Implements Magick::VPathBase.

Definition at line 2226 of file Drawable.cpp.

void Magick::PathLinetoVerticalAbs::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Implements Magick::VPathBase.

Definition at line 2222 of file Drawable.cpp.

void Magick::PathLinetoVerticalAbs::y | ( | double | y_ | ) |
| inline

Definition at line 2948 of file Drawable.h.

double Magick::PathLinetoVerticalAbs::y | ( | void |  | ) | const
| inline

Definition at line 2952 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp